Debian Bug report logs - #291185
gnome-panel: Custom launchers does not show up in Applications menu

version graph

Package: gnome-panel; Maintainer for gnome-panel is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for gnome-panel is src:gnome-panel.

Reported by: Sven Arvidsson <sa@whiz.se>

Date: Wed, 19 Jan 2005 10:18:02 UTC

Severity: normal

Merged with 292588

Found in version 2.8.2-1

Fixed in version gnome-panel/2.8.2-2

Done: Marc Dequènes (Duck) <Duck@DuckCorp.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marc Dequènes (Duck) <Duck@DuckCorp.org>:
Bug#291185; Package gnome-panel. Full text and rfc822 format available.

Acknowledgement sent to Sven Arvidsson <sa@whiz.se>:
New Bug report received and forwarded. Copy sent to Marc Dequènes (Duck) <Duck@DuckCorp.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sven Arvidsson <sa@whiz.se>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnome-panel: Custom launchers does not show up in Applications menu
Date: Wed, 19 Jan 2005 11:09:53 +0100
Package: gnome-panel
Version: 2.8.2-1
Severity: normal

When I logged in this morning I noticed that none of my custom
launchers in the Applications menu in gnome-panel showed up.

They do however appear if I navigate Nautilus to applications:///

I even tried to remove all of the .gnome* and .gconf* settings and
start fresh, but it did not seem to help.

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.8-1-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages gnome-panel depends on:
ii  gnome-control-center     1:2.8.1-3       The GNOME Control Center for GNOME
ii  gnome-desktop-data       2.8.1-2         Common files for GNOME 2 desktop a
ii  gnome-panel-data         2.8.2-1         Common files for GNOME 2 panel
ii  gnome-session            2.8.1-5         The GNOME 2 Session Manager
ii  libart-2.0-2             2.3.16-6        Library of functions for 2D graphi
ii  libatk1.0-0              1.8.0-4         The ATK accessibility toolkit
ii  libbonobo2-0             2.8.0-4         Bonobo CORBA interfaces library
ii  libbonoboui2-0           2.8.0-2         The Bonobo UI library
ii  libc6                    2.3.2.ds1-20    GNU C Library: Shared libraries an
ii  libecal6                 1.0.3-2         Client library for evolution calen
ii  libedataserver3          1.0.3-2         Utily library for evolution data s
ii  libgconf2-4              2.8.1-4         GNOME configuration database syste
ii  libglade2-0              1:2.4.1-1       Library to load .glade files at ru
ii  libglib2.0-0             2.6.1-2         The GLib library of C routines
ii  libgnome-desktop-2       2.8.1-2         Utility library for loading .deskt
ii  libgnome2-0              2.8.0-6         The GNOME 2 library - runtime file
ii  libgnomecanvas2-0        2.8.0-1         A powerful object-oriented display
ii  libgnomeui-0             2.8.0-3         The GNOME 2 libraries (User Interf
ii  libgnomevfs2-0           2.8.3-9         The GNOME virtual file-system libr
ii  libgtk2.0-0              2.4.14-2        The GTK+ graphical user interface 
ii  libice6                  4.3.0.dfsg.1-10 Inter-Client Exchange library
ii  liborbit2                1:2.10.2-1.1    libraries for ORBit2 - a CORBA ORB
ii  libpanel-applet2-0       2.8.2-1         Library for GNOME 2 Panel applets
ii  libpango1.0-0            1.6.0-3         Layout and rendering of internatio
ii  libpng12-0               1.2.8rel-1      PNG library - runtime
ii  libpopt0                 1.7-5           lib for parsing cmdline parameters
ii  libsm6                   4.3.0.dfsg.1-10 X Window System Session Management
ii  libstartup-notification0 0.7-1           library for program launch feedbac
ii  libwnck4                 2.8.1-3         Window Navigator Construction Kit 
ii  libx11-6                 4.3.0.dfsg.1-10 X Window System protocol client li
ii  libxext6                 4.3.0.dfsg.1-10 X Window System miscellaneous exte
ii  libxml2                  2.6.11-5        GNOME XML library
ii  xlibs                    4.3.0.dfsg.1-10 X Keyboard Extension (XKB) configu
ii  zlib1g                   1:1.2.2-4       compression library - runtime

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Marc Dequènes (Duck) <Duck@DuckCorp.org>:
Bug#291185; Package gnome-panel. Full text and rfc822 format available.

Acknowledgement sent to "M. Dietrich" <mdt@emdete.de>:
Extra info received and forwarded to list. Copy sent to Marc Dequènes (Duck) <Duck@DuckCorp.org>. Full text and rfc822 format available.

Message #10 received at 291185@bugs.debian.org (full text, mbox):

From: "M. Dietrich" <mdt@emdete.de>
To: Debian Bug Tracking System <291185@bugs.debian.org>
Subject: gnome-panel: can't even create new custom launchers
Date: Wed, 19 Jan 2005 22:02:59 +0100
Package: gnome-panel
Version: 2.8.2-1
Followup-For: Bug #291185


as written in this bugreport all custom launchers disapeared... i even
can't create a new one. the dialog for menu entry 'add new item to
this menu' apears and works fine but after 'OK' nothing has changed.

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.9-1-686
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

Versions of packages gnome-panel depends on:
ii  gnome-control-center     1:2.8.1-3       The GNOME Control Center for GNOME
ii  gnome-desktop-data       2.8.1-2         Common files for GNOME 2 desktop a
ii  gnome-panel-data         2.8.2-1         Common files for GNOME 2 panel
ii  gnome-session            2.8.1-5         The GNOME 2 Session Manager
ii  libart-2.0-2             2.3.16-6        Library of functions for 2D graphi
ii  libatk1.0-0              1.8.0-4         The ATK accessibility toolkit
ii  libbonobo2-0             2.8.0-4         Bonobo CORBA interfaces library
ii  libbonoboui2-0           2.8.0-2         The Bonobo UI library
ii  libc6                    2.3.2.ds1-20    GNU C Library: Shared libraries an
ii  libecal6                 1.0.3-2         Client library for evolution calen
ii  libedataserver3          1.0.3-2         Utily library for evolution data s
ii  libgconf2-4              2.8.1-4         GNOME configuration database syste
ii  libglade2-0              1:2.4.1-1       Library to load .glade files at ru
ii  libglib2.0-0             2.6.1-2         The GLib library of C routines
ii  libgnome-desktop-2       2.8.1-2         Utility library for loading .deskt
ii  libgnome2-0              2.8.0-6         The GNOME 2 library - runtime file
ii  libgnomecanvas2-0        2.8.0-1         A powerful object-oriented display
ii  libgnomeui-0             2.8.0-3         The GNOME 2 libraries (User Interf
ii  libgnomevfs2-0           2.8.3-9         The GNOME virtual file-system libr
ii  libgtk2.0-0              2.4.14-2        The GTK+ graphical user interface 
ii  libice6                  4.3.0.dfsg.1-10 Inter-Client Exchange library
ii  liborbit2                1:2.10.2-1.1    libraries for ORBit2 - a CORBA ORB
ii  libpanel-applet2-0       2.8.2-1         Library for GNOME 2 Panel applets
ii  libpango1.0-0            1.6.0-3         Layout and rendering of internatio
ii  libpng12-0               1.2.8rel-1      PNG library - runtime
ii  libpopt0                 1.7-5           lib for parsing cmdline parameters
ii  libsm6                   4.3.0.dfsg.1-10 X Window System Session Management
ii  libstartup-notification0 0.7-1           library for program launch feedbac
ii  libwnck4                 2.8.1-3         Window Navigator Construction Kit 
ii  libx11-6                 4.3.0.dfsg.1-10 X Window System protocol client li
ii  libxext6                 4.3.0.dfsg.1-10 X Window System miscellaneous exte
ii  libxml2                  2.6.11-5        GNOME XML library
ii  xlibs                    4.3.0.dfsg.1-10 X Keyboard Extension (XKB) configu
ii  zlib1g                   1:1.2.2-4       compression library - runtime

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Marc Dequènes (Duck) <Duck@DuckCorp.org>:
Bug#291185; Package gnome-panel. Full text and rfc822 format available.

Acknowledgement sent to sjoerd@spring.luon.net (Sjoerd Simons):
Extra info received and forwarded to list. Copy sent to Marc Dequènes (Duck) <Duck@DuckCorp.org>. Full text and rfc822 format available.

Message #15 received at 291185@bugs.debian.org (full text, mbox):

From: sjoerd@spring.luon.net (Sjoerd Simons)
To: "M. Dietrich" <mdt@emdete.de>, Sven Arvidsson <sa@whiz.se>, 291185@bugs.debian.org
Subject: Re: gnome-panel: can't even create new custom launchers
Date: Thu, 20 Jan 2005 13:45:48 +0100
On Wed, Jan 19, 2005 at 10:02:59PM +0100, M. Dietrich wrote:
> Package: gnome-panel
> Version: 2.8.2-1
> Followup-For: Bug #291185
> 
> 
> as written in this bugreport all custom launchers disapeared... i even
> can't create a new one. the dialog for menu entry 'add new item to
> this menu' apears and works fine but after 'OK' nothing has changed.

  Seems to work fine here. Could you describe the exact steps you did to create
  a custom laucher/menu entry.

Sjoerd
-- 
He has shown you, o man, what is good.  And what does the Lord ask of you,
but to do justice, and to love kindness, and to walk humbly before your God?



Information forwarded to debian-bugs-dist@lists.debian.org, Marc Dequènes (Duck) <Duck@DuckCorp.org>:
Bug#291185; Package gnome-panel. Full text and rfc822 format available.

Acknowledgement sent to sjoerd@spring.luon.net (Sjoerd Simons):
Extra info received and forwarded to list. Copy sent to Marc Dequènes (Duck) <Duck@DuckCorp.org>. Full text and rfc822 format available.

Message #20 received at 291185@bugs.debian.org (full text, mbox):

From: sjoerd@spring.luon.net (Sjoerd Simons)
To: mdt@emdete.de, 291185@bugs.debian.org
Subject: gnome-panel: can't even create new custom launchers
Date: Thu, 20 Jan 2005 23:26:07 +0100
[Message part 1 (text/plain, inline)]
tag 291185 +patch
thanks,

Seems that we were cc the wrong bug report the whole time.. my fault (need to
get my brown paper bag)

On Thu, Jan 20, 2005 at 04:36:35PM +0100, M. Dietrich wrote:
> On Thu, Jan 20, 2005 at 04:09:04PM +0100, Sjoerd Simons wrote:
> > Please keep the bts in the CC list, so others can fellow the
> > progress..
> sorry - mutt usage error ;)
> > 
> > On Thu, Jan 20, 2005 at 03:42:32PM +0100, M. Dietrich wrote:
> > Works here... Could you tar /etc/gnome-vfs-2.0/vfolders and
> > ~/.gnome2/vfolders and send them over? They should have all the info
> > needed to track it down..
> shure, attached

gnome-panel's desktop reader didn't handle keys with empty value pairs the
right way. It actually worked through a bug in glib, which was fixed for 2.6 :)

Attached is a patch to fix it..

  Sjoerd
-- 
It is not that polar co-ordinates are complicated, it is simply
that cartesian co-ordinates are simpler than they have a right to be.
		-- Kleppner & Kolenhow, "An Introduction to Mechanics"
[empty-desktop-keys.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marc Dequènes (Duck) <Duck@DuckCorp.org>:
Bug#291185; Package gnome-panel. Full text and rfc822 format available.

Acknowledgement sent to Sven Arvidsson <sa@whiz.se>:
Extra info received and forwarded to list. Copy sent to Marc Dequènes (Duck) <Duck@DuckCorp.org>. Full text and rfc822 format available.

Message #25 received at 291185@bugs.debian.org (full text, mbox):

From: Sven Arvidsson <sa@whiz.se>
To: Sjoerd Simons <sjoerd@spring.luon.net>
Cc: 291185@bugs.debian.org
Subject: Re: gnome-panel: can't even create new custom launchers
Date: Fri, 21 Jan 2005 15:52:16 +0100
[Message part 1 (text/plain, inline)]
Sjoerd Simons wrote:
> gnome-panel's desktop reader didn't handle keys with empty value pairs the
> right way. It actually worked through a bug in glib, which was fixed for 2.6 :)
> 
> Attached is a patch to fix it..

The patch works great for me. Big thanks for finding the problem and
providing the patch! :-)

-- 
Cheers,
Sven Arvidsson
http://www.whiz.se
PGP Key ID 760BDD22
[signature.asc (application/pgp-signature, inline)]

Merged 291185 292588. Request was from sjoerd@spring.luon.net (Sjoerd Simons) to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Marc Dequènes (Duck) <Duck@DuckCorp.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Sven Arvidsson <sa@whiz.se>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #32 received at 291185-close@bugs.debian.org (full text, mbox):

From: Marc Dequènes (Duck) <Duck@DuckCorp.org>
To: 291185-close@bugs.debian.org
Subject: Bug#291185: fixed in gnome-panel 2.8.2-2
Date: Fri, 28 Jan 2005 20:02:19 -0500
Source: gnome-panel
Source-Version: 2.8.2-2

We believe that the bug you reported is fixed in the latest version of
gnome-panel, which is due to be installed in the Debian FTP archive:

gnome-panel-data_2.8.2-2_all.deb
  to pool/main/g/gnome-panel/gnome-panel-data_2.8.2-2_all.deb
gnome-panel_2.8.2-2.diff.gz
  to pool/main/g/gnome-panel/gnome-panel_2.8.2-2.diff.gz
gnome-panel_2.8.2-2.dsc
  to pool/main/g/gnome-panel/gnome-panel_2.8.2-2.dsc
gnome-panel_2.8.2-2_powerpc.deb
  to pool/main/g/gnome-panel/gnome-panel_2.8.2-2_powerpc.deb
libpanel-applet2-0_2.8.2-2_powerpc.deb
  to pool/main/g/gnome-panel/libpanel-applet2-0_2.8.2-2_powerpc.deb
libpanel-applet2-dbg_2.8.2-2_powerpc.deb
  to pool/main/g/gnome-panel/libpanel-applet2-dbg_2.8.2-2_powerpc.deb
libpanel-applet2-dev_2.8.2-2_powerpc.deb
  to pool/main/g/gnome-panel/libpanel-applet2-dev_2.8.2-2_powerpc.deb
libpanel-applet2-doc_2.8.2-2_all.deb
  to pool/main/g/gnome-panel/libpanel-applet2-doc_2.8.2-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 291185@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marc Dequènes (Duck) <Duck@DuckCorp.org> (supplier of updated gnome-panel package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 28 Jan 2005 23:58:50 +0100
Source: gnome-panel
Binary: gnome-panel-data libpanel-applet2-doc libpanel-applet2-dev gnome-panel libpanel-applet2-dbg libpanel-applet2-0
Architecture: source powerpc all
Version: 2.8.2-2
Distribution: unstable
Urgency: medium
Maintainer: Marc Dequènes (Duck) <Duck@DuckCorp.org>
Changed-By: Marc Dequènes (Duck) <Duck@DuckCorp.org>
Description: 
 gnome-panel - launcher and docking facility for GNOME 2
 gnome-panel-data - common files for GNOME 2 panel
 libpanel-applet2-0 - library for GNOME 2 panel applets
 libpanel-applet2-dbg - library for GNOME 2 panel applets - library with debugging symbol
 libpanel-applet2-dev - library for GNOME 2 panel applets - development files
 libpanel-applet2-doc - library for GNOME 2 panel applets - documentation files
Closes: 285650 287120 291085 291185
Changes: 
 gnome-panel (2.8.2-2) unstable; urgency=medium
 .
   * urgency medium because menu bug is very bad for sarge, and custom
     lauchers are an important feature which is unfortunatly broken.
   * menu : (thanks to Bill Allombert)
     + updated suggests and added conflicts for nice woody transition
       (Closes: #291085).
     + removed unuseful 'userprefix' in menu-method.
   * Added patches :
     + custom lauchers fix from Sjoerd Simons (Closes: #291185).
     + run-application typing completion speed improvements (from
       gnomezilla) (Closes: #287120).
   * Corrected doc-base index location (Closes: #285650).
   * Corrected descriptions to please lintian.
Files: 
 20f2b248f7ba9ca137299aa117a69236 1975 gnome optional gnome-panel_2.8.2-2.dsc
 7e79246d69e8b28de97f2e088f590eff 180893 gnome optional gnome-panel_2.8.2-2.diff.gz
 142f07296c5f2f2726907ebe142a1b78 76950 doc optional libpanel-applet2-doc_2.8.2-2_all.deb
 96c9b8a0b148dd0367fd99aa85904c87 2445730 gnome optional gnome-panel-data_2.8.2-2_all.deb
 7c3d3e27d987623c69d7ede4b024c71c 411682 gnome optional gnome-panel_2.8.2-2_powerpc.deb
 5aa3961373a982cfef617cd51677bfc5 77272 libs optional libpanel-applet2-0_2.8.2-2_powerpc.deb
 b01bdc28facbd4cd8ebd07e0c9e56433 625812 libdevel optional libpanel-applet2-dbg_2.8.2-2_powerpc.deb
 96c8224458281f27eee51e74be94f09f 84858 libdevel optional libpanel-applet2-dev_2.8.2-2_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFB+tgzgTd+SodosdIRAo2AAKCL32LlpMCVG45mARim5qfJpP/wgACfb6Li
whD/G5OEVKSXJIcqCDda6gU=
=Zg2C
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 05:50:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.